#
# spec file for package klick
#
# Copyright (c) 2017 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           klick
Version:        0.12.99+git20150329.0043
Release:        3.2
Summary:        Advanced JACK-based metronome
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            https://github.com/dsacre/klick
Source:         %{name}-%{version}.tar.xz
Patch0:         klick.scons.patch
BuildRequires:  libboost_headers-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  python
BuildRequires:  scons
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
klick is an advanced JACK-based metronome, supporting tempo changes,
meter changes, and more. It allows you to define complex tempo maps
for entire songs or performances.

%prep
%setup -q
%patch0 -p1

%build

%install
env \
CXXFLAGS='%{optflags}' \
scons \
  %{?_smp_mflags} \
  DEBUG=yes \
  OSC=yes \
  RUBBERBAND=yes \
  TERMINAL=yes \
  PREFIX=%{_prefix} \
  DESTDIR=%{buildroot} \
  install

# remove samples
rm -rfv %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc COPYING NEWS README doc/manual.html
%{_bindir}/%{name}

%changelog
* Sat Jan  7 2017 aloisio@gmx.com
- Update to latest git version
- Fixed TW build
- Spec cleanup
* Sat May 10 2014 johannesobermayr@gmx.de
- Built it on Packman (0.12.2)
  * %%optflags %%_smp_mflags
  * don't install samples
* Thu Feb  9 2012 huaren.zhong@gmail.com
- Rebuild for Fedora
* Wed Jul 15 2009 fabian@bernewireless.net
- Updated to new upstream version 0.12.0
* Sun Apr 19 2009 fabian@bernewireless.net
- Initial package for Fedora
